doupijin0397
doupijin0397
2018-10-22 06:41

Softaculous Ampps 3.8如果我将PHP版本更改为7.1,则Apache无法启动

I have a recent problem in Ampps Software on Windows 10, Apache stopping automatically if PHP version is 7.1 but if I change back PHP Version to 5.6 it's working fine

and here's the error log for Apache

<pre>

[Mon Oct 22 10:28:12.413768 2018] [mpm_winnt:notice] [pid 12484:tid 684] AH00455: Apache/2.4.27 (Win32) OpenSSL/1.1.0f PHP/5.6.31 configured -- resuming normal operations
[Mon Oct 22 10:28:12.413768 2018] [mpm_winnt:notice] [pid 12484:tid 684] AH00456: Apache Lounge VC15 Server built: Jul  7 2017 11:43:51
[Mon Oct 22 10:28:12.413768 2018] [core:notice] [pid 12484:tid 684] AH00094: Command line: 'apache\\bin\\httpd.exe -d D:/Ampps/apache'
[Mon Oct 22 10:28:12.417758 2018] [mpm_winnt:notice] [pid 12484:tid 684] AH00418: Parent: Created child process 5924
[Mon Oct 22 10:28:13.307885 2018] [mpm_winnt:notice] [pid 5924:tid 740] AH00354: Child: Starting 64 worker threads.
[Mon Oct 22 10:28:45.068164 2018] [mpm_winnt:notice] [pid 9816:tid 700] AH00455: Apache/2.4.27 (Win32) OpenSSL/1.1.0f PHP/7.1.8 configured -- resuming normal operations
[Mon Oct 22 10:28:45.068164 2018] [mpm_winnt:notice] [pid 9816:tid 700] AH00456: Apache Lounge VC15 Server built: Jul  7 2017 11:43:51
[Mon Oct 22 10:28:45.068164 2018] [core:notice] [pid 9816:tid 700] AH00094: Command line: 'apache\\bin\\httpd.exe -d D:/Ampps/apache'
[Mon Oct 22 10:28:45.070158 2018] [mpm_winnt:notice] [pid 9816:tid 700] AH00418: Parent: Created child process 15180
[Mon Oct 22 10:28:47.563384 2018] [mpm_winnt:crit] [pid 9816:tid 700] AH00419: master_main: create child process failed. Exiting.

</pre>

I didn't change anything or install anything new, and I reinstalled it many times and tried XAMPP it's working fine

Thank you.

</div>
  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 复制链接分享
  • 邀请回答

5条回答

  • duandu1915 duandu1915 2年前

    Its solved by disabling Ioncube loader extension for me, Thanks for all replies

    点赞 7 评论 复制链接分享
  • douzhixun8393 douzhixun8393 3年前

    Try changing the php version used by AMPPS by following their guide here -> http://www.ampps.com/wiki/How_to_change_php_version

    In the AMPPS control panel, select options and then select change php version. The changed version should now be displayed in the control panel.

    点赞 评论 复制链接分享
  • dqh19413 dqh19413 2年前

    I know this is 4 months old, but I have had significant problems with PHP on windows and today I got this problem fixed.

    AMPPS - It won’t run PHP 7.1 with out changing the executables to run as administrator mode. Apache will terminate without an error. I believe this is because even if AMPPS is running in admin priviledges these are not granted to the php.exe when it is run. Go to the file location of php.exe, right click and click on properties, click the compatibility tab and select the check box for ‘run as administrator’. Do the same for the httpd.exe under apache->bin->httpd.exe. (Not sure if the httpd priviledge change matters but I did it and it worked.)

    Run AMPPS and hopefully like me, your php/apache problems are gone.

    点赞 评论 复制链接分享
  • drvfqr5609 drvfqr5609 2年前

    Try run httpd.exe with as administrator and it worked.

    C:\Program Files (x86)\Ampps\apache\bin

    点赞 评论 复制链接分享
  • doutan2456 doutan2456 2年前

    i solved mine following steps below:

    i switched PHP version to 5.6 which everything works normally, then went to this URL:

    http://localhost/ampps/index.php?

    there i found some updates available notification on top of the page below url bar on the page if you see updates available for your php 7.0 7.1 ... 90% you will resolve this issue like mine i tried update all available updates

    then restart the ampps app now working with PHP 7.1 great.

    i hope it works for you as well.

    点赞 评论 复制链接分享